package cn.bunny.config.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 读取项目相关配置
 *
 * @author fuce
 */
@Component
@ConfigurationProperties(prefix = "bunny")
@Data
public class BunnyConfig {
    private String fileUrl;// 存储路径
    private String httpUrl;// 请求url
    private Map<String, String> xnljmap;// 虚拟路径map
    private String defaultFormat;// 默认文件格式
}
