package cn.bunny.domain.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author fc
 * @since 2022-12-22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_sys_file")
public class SysFile implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.INPUT)
    private String id;
    private String fileName;
    private Integer fileSize;
    private String fileSuffix;
    private String virtualKey;//  虚拟路径
    private String relativePath;// 相对路径
    private String absolutePath;// 绝对路径

    @TableField(fill = FieldFill.INSERT)
    private String createTime;
}
