package cn.bunny.domain.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@TableName("t_goview_project")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GoViewProject implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    private String id;
    private String projectName;
    private Integer state;

    @TableField(fill = FieldFill.INSERT)
    private String createTime;
    private String createUserId;
    private Integer isDelete;
    private String indexImage;
    private String remarks;
}
