package cn.bunny.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResultTable {
    private Integer code;// 状态码
    private String msg;// 提示消息
    private Long count;// 消息总量
    private Object data;// 数据对象

    /**
     * 构 建
     */
    public static ResultTable pageTable(long count, Object data) {
        ResultTable resultTable = new ResultTable();
        resultTable.setData(data);
        resultTable.setCode(0);
        resultTable.setCount(count);
        if (data != null) {
            resultTable.setMsg("获取成功");
        } else {
            resultTable.setMsg("获取失败");
        }
        return resultTable;
    }

    public static ResultTable dataTable(Object data) {
        ResultTable resultTable = new ResultTable();
        resultTable.setData(data);
        resultTable.setCode(0);
        if (data != null) {
            resultTable.setMsg("获取成功");
        } else {
            resultTable.setMsg("获取失败");
        }
        return resultTable;
    }
}
